Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nat.convertisseur
Class ConvertisseurTexte

    java.lang.Object
      nat.convertisseur.Convertisseur
          nat.convertisseur.ConvertisseurTexte

    public class ConvertisseurTexte

extends Convertisseur

Field Summary
`private java.lang.String[]` | `ponctuationDebut`
`private java.lang.String[]` | `ponctuationFin`
`private java.lang.String` | `sourceEncode`
`private java.lang.String` | `sourceEncoding`

Fields inherited from class nat.convertisseur.Convertisseur
`cible, DTD, nbCars, nbMots, nbPhrases, source, tempsExecution`

Constructor Summary
`ConvertisseurTexte(java.lang.String source, java.lang.String cible)`
`ConvertisseurTexte(java.lang.String source, java.lang.String cible, java.lang.String sEncoding)`

Method Summary
`boolean` | `Convertir(GestionnaireErreur gest)`
`private void` | `ligneLit(java.lang.String ligne, GestionnaireErreur gest, java.io.BufferedWriter fcible)`
`void` | `setSourceEncoding(java.lang.String se)`
`void` | `toISO()`

Methods inherited from class nat.convertisseur.Convertisseur
`donneTempsExecution, SetCible, SetDTD, setFormat, SetSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sourceEncode

    private java.lang.String sourceEncode

### sourceEncoding

    private java.lang.String sourceEncoding

### ponctuationFin

    private java.lang.String[] ponctuationFin

### ponctuationDebut

    private java.lang.String[] ponctuationDebut

Constructor Detail

### ConvertisseurTexte

    public ConvertisseurTexte(java.lang.String source,
                              java.lang.String cible)

### ConvertisseurTexte

    public ConvertisseurTexte(java.lang.String source,
                              java.lang.String cible,
                              java.lang.String sEncoding)

Method Detail

### Convertir

    public boolean Convertir(GestionnaireErreur gest)

  Specified by:
    `Convertir` in class `Convertisseur`

### ligneLit

    private void ligneLit(java.lang.String ligne,
                          GestionnaireErreur gest,
                          java.io.BufferedWriter fcible)

### toISO

    public void toISO()

### setSourceEncoding

    public void setSourceEncoding(java.lang.String se)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD